libkate: kate_info Struct Reference

# kate_info Struct Reference

`#include <kate.h>`

## Data Fields
unsigned char | bitstream_version_major
unsigned char | bitstream_version_minor
kate_text_encoding | text_encoding
kate_text_directionality | text_directionality
unsigned char | num_headers
unsigned char | granule_shift
kate_uint32_t | gps_numerator
kate_uint32_t | gps_denominator
kate_const char * | language
kate_const char * | category
size_t | nregions
kate_const kate_region *kate_const * | regions
size_t | nstyles
kate_const kate_style *kate_const * | styles
size_t | ncurves
kate_const kate_curve *kate_const * | curves
size_t | nmotions
kate_const kate_motion *kate_const * | motions
size_t | npalettes
kate_const kate_palette *kate_const * | palettes
size_t | nbitmaps
kate_const kate_bitmap *kate_const * | bitmaps
size_t | nfont_ranges
kate_const kate_font_range *kate_const * | font_ranges
size_t | nfont_mappings
kate_const kate_font_mapping *kate_const * | font_mappings
kate_markup_type | text_markup_type
size_t | original_canvas_width
size_t | original_canvas_height

## Detailed Description

Information about a Kate bitstream. On encoding, this information will be filled by the encoder. On decoding, it will be extracted from the stream headers.

Examples:

  decoding.c, and encoding.c.

## Field Documentation

kate_const kate_bitmap* kate_const* kate_info::bitmaps

the list of predefined bitmaps

Referenced by kate_info_add_bitmap(), kate_info_clear(), and kate_info_init().

unsigned char kate_info::bitstream_version_major

the version of the bitstream being read or written

Referenced by kate_info_init().

unsigned char kate_info::bitstream_version_minor

the version of the bitstream being read or written

Referenced by kate_info_init().

kate_const char* kate_info::category

freeform for now, 15 characters + terminating zero max

Referenced by kate_info_clear(), kate_info_init(), and kate_info_set_category().

kate_const kate_curve* kate_const* kate_info::curves

the list of predefined curves

Referenced by kate_info_add_curve(), kate_info_clear(), and kate_info_init().

kate_const kate_font_mapping* kate_const* kate_info::font_mappings

the list of predefined font mappings

Referenced by kate_info_add_font_mapping(), kate_info_clear(), and kate_info_init().

kate_const kate_font_range* kate_const* kate_info::font_ranges

the list of predefined font ranges

Referenced by kate_info_add_font_range(), kate_info_clear(), and kate_info_init().

kate_uint32_t kate_info::gps_denominator

granules per second denominator

Examples:
  encoding.c.

Referenced by kate_duration_granule(), kate_granule_duration(), kate_granule_split_time(), kate_info_init(), kate_info_set_granule_encoding(), and kate_time_granule().

kate_uint32_t kate_info::gps_numerator

granules per second numerator

Examples:
  encoding.c.

Referenced by kate_duration_granule(), kate_granule_duration(), kate_granule_split_time(), kate_info_init(), kate_info_set_granule_encoding(), and kate_time_granule().

unsigned char kate_info::granule_shift

how many low granpos bits are used for the offset

Examples:
  encoding.c.

Referenced by kate_encode_finish_raw_times(), kate_encode_keepalive_raw_times(), kate_encode_repeat_raw_times(), kate_encode_text_raw_times(), kate_granule_shift(), kate_granule_split_time(), kate_info_init(), kate_info_set_granule_encoding(), and kate_time_granule().

kate_const char* kate_info::language

based on RFC 3066, 15 character + terminating zero max

Referenced by kate_info_clear(), kate_info_init(), kate_info_matches_language(), and kate_info_set_language().

kate_const kate_motion* kate_const* kate_info::motions

the list of predefined motions

Referenced by kate_info_add_motion(), kate_info_clear(), and kate_info_init().

size_t kate_info::nbitmaps

the number of predefined bitmaps

Referenced by kate_encode_add_bitmap_index(), kate_encode_set_bitmap_index(), kate_info_add_bitmap(), kate_info_clear(), and kate_info_init().

size_t kate_info::ncurves

the number of predefined curves

Referenced by kate_info_add_curve(), kate_info_clear(), and kate_info_init().

size_t kate_info::nfont_mappings

the number of predefined font mappings

Referenced by kate_encode_set_font_mapping_index(), kate_info_add_font_mapping(), kate_info_clear(), and kate_info_init().

size_t kate_info::nfont_ranges

the number of predefined font ranges

Referenced by kate_info_add_font_range(), kate_info_clear(), and kate_info_init().

size_t kate_info::nmotions

the number of predefined motions

Referenced by kate_encode_add_motion_index(), kate_info_add_motion(), kate_info_clear(), and kate_info_init().

size_t kate_info::npalettes

the number of predefined palettes

Referenced by kate_encode_set_palette_index(), kate_info_add_palette(), kate_info_clear(), and kate_info_init().

size_t kate_info::nregions

the number of predefined regions

Referenced by kate_encode_set_region_index(), kate_info_add_region(), kate_info_clear(), and kate_info_init().

size_t kate_info::nstyles

the number of predefined styles

Referenced by kate_encode_set_secondary_style_index(), kate_encode_set_style_index(), kate_info_add_style(), kate_info_clear(), and kate_info_init().

unsigned char kate_info::num_headers

number of header packets in the bitstream

Referenced by kate_encode_init(), and kate_info_init().

size_t kate_info::original_canvas_height

height of the canvas this stream was authored for

Referenced by kate_info_init(), and kate_info_set_original_canvas_size().

size_t kate_info::original_canvas_width

width of the canvas this stream was authored for

Referenced by kate_info_init(), and kate_info_set_original_canvas_size().

kate_const kate_palette* kate_const* kate_info::palettes

the list of predefined palettes

Referenced by kate_info_add_palette(), kate_info_clear(), and kate_info_init().

kate_const kate_region* kate_const* kate_info::regions

the list of predefined regions

Referenced by kate_info_add_region(), kate_info_clear(), and kate_info_init().

kate_const kate_style* kate_const* kate_info::styles

the list of predefined styles

Referenced by kate_info_add_style(), kate_info_clear(), kate_info_init(), and kate_tracker_update().

kate_text_directionality kate_info::text_directionality

the default text directionality (left to right, etc)

Referenced by kate_info_init(), and kate_info_set_text_directionality().

kate_text_encoding kate_info::text_encoding

the default text encoding (utf-8 only for now)

Referenced by kate_info_init().

kate_markup_type kate_info::text_markup_type

how to interpret any markup found in the text

Referenced by kate_info_init(), and kate_info_set_markup_type().

The documentation for this struct was generated from the following file:

- /home/v/Kate/WORK_TREES/kate-sorceress-backup/v/src/kate/include/kate/kate.h